ambari-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Yusaku Sako (JIRA)" <j...@apache.org>
Subject [jira] [Updated] (AMBARI-14150) Remove Obsolete Upgrade Pre-requisite Check Logic
Date Thu, 14 Jul 2016 19:01:20 GMT

     [ https://issues.apache.org/jira/browse/AMBARI-14150?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Yusaku Sako updated AMBARI-14150:
---------------------------------
    Fix Version/s:     (was: trunk)
                   2.4.0

> Remove Obsolete Upgrade Pre-requisite Check Logic
> -------------------------------------------------
>
>                 Key: AMBARI-14150
>                 URL: https://issues.apache.org/jira/browse/AMBARI-14150
>             Project: Ambari
>          Issue Type: Bug
>          Components: ambari-server
>    Affects Versions: trunk
>            Reporter: Dmytro Grinenko
>            Assignee: Dmytro Sen
>            Priority: Critical
>             Fix For: 2.4.0
>
>
> In earlier incarnations of rolling upgrades, the pre-req checks were not specified in
the upgrade packs as they are today. However, they are now explicitly defined in each and
every upgrade pack, so we can remove a lot of confusing and obsolete code.
> - AbstractCheckDescriptor.getSourceStack
> - AbstractCheckDescriptor.getTargetStack
> - Configuration.getRollingUpgradeMinStack
> - Configuration.getRollingUpgradeMaxStack
> - ambari.properties
> {code}
> rolling.upgrade.min.stack=HDP-2.2
> rolling.upgrade.max.stack=
> {code}
> Let's clean up this old code that has no more use.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message